commit:     5749d57b7824bf3285e7b617f56bcf2d091d8bb3
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 29 18:59:05 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Apr 29 18:59:58 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5749d57b

Revert "dev-python/qtawesome: remove old version"

This reverts commit 36d81108edf486c6e82cc8809ac254934ea046af.

Breaks dev-python/spyder and hence CI:
```
dev-python/spyder
  NonexistentDeps: version 6.0.3-r1: RDEPEND: nonexistent package: 
<dev-python/qtawesome-1.4.0
  NonsolvableDepsInDev: version 6.0.3-r1: nonsolvable depset(rdepend) 
keyword(~amd64) dev profile (default/linux/amd64/23.0/llvm) (16 total): 
solutions: [ 
<dev-python/qtawesome-1.4.0[python_targets_python3_11(-),python_targets_python3_12(-),python_targets_python3_13(-)]
 ]
  NonsolvableDepsInStable: version 6.0.3-r1: nonsolvable depset(rdepend) 
keyword(~amd64) stable profile (default/linux/amd64/23.0) (40 total): 
solutions: [ 
<dev-python/qtawesome-1.4.0[python_targets_python3_11(-),python_targets_python3_12(-),python_targets_python3_13(-)]
 ]
  NonexistentDeps: version 6.0.4: BDEPEND: nonexistent package: 
<dev-python/qtawesome-1.4.0
  NonexistentDeps: version 6.0.4: RDEPEND: nonexistent package: 
<dev-python/qtawesome-1.4.0
  NonsolvableDepsInDev: version 6.0.4: nonsolvable depset(bdepend) 
keyword(~amd64) dev profile (default/linux/amd64/23.0/llvm) (5 total): 
solutions: [ 
<dev-python/qtawesome-1.4.0[python_targets_python3_11(-),python_targets_python3_12(-),python_targets_python3_13(-)]
 ]
  NonsolvableDepsInDev: version 6.0.4: nonsolvable depset(rdepend) 
keyword(~amd64) dev profile (default/linux/amd64/23.0/llvm) (5 total): 
solutions: [ 
<dev-python/qtawesome-1.4.0[python_targets_python3_11(-),python_targets_python3_12(-),python_targets_python3_13(-)]
 ]
  NonsolvableDepsInStable: version 6.0.4: nonsolvable depset(bdepend) 
keyword(~amd64) stable profile (default/linux/amd64/23.0) (28 total): 
solutions: [ 
<dev-python/qtawesome-1.4.0[python_targets_python3_11(-),python_targets_python3_12(-),python_targets_python3_13(-)]
 ]
  NonsolvableDepsInStable: version 6.0.4: nonsolvable depset(rdepend) 
keyword(~amd64) stable profile (default/linux/amd64/23.0) (28 total): 
solutions: [ 
<dev-python/qtawesome-1.4.0[python_targets_python3_11(-),python_targets_python3_12(-),python_targets_python3_13(-)]
 ]
```

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/qtawesome/Manifest               |  1 +
 dev-python/qtawesome/qtawesome-1.3.1.ebuild | 50 +++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/qtawesome/Manifest b/dev-python/qtawesome/Manifest
index 799d0dba9e09..6b9a754a0754 100644
--- a/dev-python/qtawesome/Manifest
+++ b/dev-python/qtawesome/Manifest
@@ -1 +1,2 @@
+DIST QtAwesome-1.3.1.tar.gz 2372190 BLAKE2B 
d7a0a0d5ac1ff8e60e14ce407a2220ef9bc5463304274df7d04a00178b3021dd4f5e35c028a4038f53adf04c85eabd8e33b10c59d57804733265ee17d5875563
 SHA512 
6b50a4fce231331ec05497905f4fb1e7d91d5bbc9dfd963f3b2dd649d3d28f20436d1c3aed574457ff4afaf277d0e53b371ead7e0ddfb208ab8a4b5ddd4bc2f1
 DIST qtawesome-1.4.0.tar.gz 2614365 BLAKE2B 
5c7c941878f9c1fd06de75abe2ec37743ea13330fc937da0287d3fb10da1e8f93f9956247af0c8e5fff70ab34f246031f96ad4c6e6931ddd29facb8bf02e5b28
 SHA512 
3fe617526c31da3dfd9ba59a7d2b8cef8a6327308c0e622e6ed1be7924d77aab322db625dd37a280c5538c511effe2e3855875db8cc8d48014ba696b27fe28c9

diff --git a/dev-python/qtawesome/qtawesome-1.3.1.ebuild 
b/dev-python/qtawesome/qtawesome-1.3.1.ebuild
new file mode 100644
index 000000000000..6428f6d24322
--- /dev/null
+++ b/dev-python/qtawesome/qtawesome-1.3.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1 pypi virtualx
+
+DESCRIPTION="Enables iconic fonts such as Font Awesome in PyQt"
+HOMEPAGE="
+       https://github.com/spyder-ide/qtawesome/
+       https://pypi.org/project/QtAwesome/
+"
+SRC_URI="$(pypi_sdist_url --no-normalize QtAwesome)"
+S="${WORKDIR}/QtAwesome-${PV}"
+
+LICENSE="MIT"
+# bundled fonts
+# -------------
+# Font Awesome, Elusive Icons: OFL-1.1
+# Phosphor: MIT
+# Material Design Icons, Remix Icon: Apache-2.0
+# Codicons: CC-BY-4.0
+LICENSE+=" Apache-2.0 CC-BY-4.0 MIT OFL-1.1"
+SLOT="0"
+KEYWORDS="amd64 arm64 x86"
+
+RDEPEND="
+       media-fonts/fontawesome
+       dev-python/qtpy[gui,${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/pytest-qt[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/source \
+       dev-python/sphinx-rtd-theme
+
+src_test() {
+       virtx distutils-r1_src_test
+}
+
+python_test() {
+       nonfatal epytest || die -n "Tests failed with ${EPYTHON}"
+}

Reply via email to